%global momorel 1

Name:      icu
Version:   4.0.1
Release:   %{momorel}m%{?dist}
Summary:   International Components for Unicode
Group:     Development/Tools
License:   MIT
URL:       http://www.icu-project.org/
Source0:   http://download.icu-project.org/files/icu4c/%{version}/icu4c-4_0_1-src.tgz
NoSource:  0
Source1:   icu-config
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: doxygen, autoconf
Requires: lib%{name} = %{version}-%{release}
Provides: icu-locales
Obsoletes: icu-locales

Patch1:  icu-3.4-multiarchdevel.patch
Patch2:  icu.icuXXXX.virama.prevnext.patch
Patch3:  icu.icu6008.arm.padding.patch
Patch4:  icu.icu6213.worstcase.patch
Patch5:  icu.icu6284.strictalias.patch
Patch6:  icu.icu6439.bare.elif.patch

%description
Tools and utilities for developing with icu.

%package -n lib%{name}
Summary: International Components for Unicode - libraries
Group:   System Environment/Libraries

%description -n lib%{name}
The International Components for Unicode (ICU) libraries provide
robust and full-featured Unicode services on a wide variety of
platforms. ICU supports the most current version of the Unicode
standard, and they provide support for supplementary Unicode
characters (needed for GB 18030 repertoire support).
As computing environments become more heterogeneous, software
portability becomes more important. ICU lets you produce the same
results across all the various platforms you support, without
sacrificing performance. It offers great flexibility to extend and
customize the supplied services.

%package  -n lib%{name}-devel
Summary:  Development files for International Components for Unicode
Group:    Development/Libraries
Requires: lib%{name} = %{version}-%{release}
Requires: pkgconfig

%description -n lib%{name}-devel
Includes and definitions for developing with icu.

%package -n lib%{name}-doc
Summary: Documentation for International Components for Unicode
Group:   Documentation

%description -n lib%{name}-doc
%{summary}.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .multiarchdevel
%patch2 -p1 -b .icuXXXX.virama.prevnext.patch
%patch3 -p1 -b .icu6008.arm.padding.patch
%patch4 -p1 -b .icu6213.worstcase.patch
%patch5 -p1 -b .icu6284.strictalias.patch
%patch6 -p1 -b .icu6439.bare.elif.patch

%build
cd source
autoconf
%configure --with-data-packaging=library --disable-samples
#rhbz#225896
sed -i -- "s/-nodefaultlibs -nostdlib//" config/mh-linux
make # %{?_smp_mflags} # -j(X>1) may "break" man pages as of 3.2, b.f.u #2357
make doc

%install
rm -rf %{buildroot} source/__docs
make -C source install DESTDIR=%{buildroot}
make -C source install-doc docdir=__docs
chmod +x %{buildroot}%{_libdir}/*.so.*
cp -p %{SOURCE1} %{buildroot}%{_bindir}/%{name}-config
chmod 0755 %{buildroot}%{_bindir}/%{name}-config
sed -i s/\\\$\(THREADSCXXFLAGS\)// %{buildroot}%{_libdir}/pkgconfig/icu.pc
sed -i s/\\\$\(THREADSCPPFLAGS\)/-D_REENTRANT/ %{buildroot}%{_libdir}/pkgconfig/icu.pc
mv -f %{buildroot}%{_libdir}/%{name}/%{version}/Makefile.inc %{buildroot}%{_datadir}/%{name}/%{version}
rm -rf %{buildroot}%{_libdir}/%{name}

%clean
rm -rf %{buildroot}

%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc license.html readme.html
%{_bindir}/derb
%{_bindir}/genbrk
%{_bindir}/gencnval
%{_bindir}/genctd
%{_bindir}/genrb
%{_bindir}/makeconv
%{_bindir}/pkgdata
%{_bindir}/uconv
%{_sbindir}/*
%{_mandir}/man1/derb.1*
%{_mandir}/man1/gencnval.1*
%{_mandir}/man1/genrb.1*
%{_mandir}/man1/genbrk.1*
%{_mandir}/man1/genctd.1*
%{_mandir}/man1/makeconv.1*
%{_mandir}/man1/pkgdata.1*
%{_mandir}/man1/uconv.1*
%{_mandir}/man8/*.8*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1*
%{_includedir}/layout
%{_includedir}/unicode
%{_libdir}/*.so
%{_libdir}/pkgconfig/icu.pc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}/Makefile.inc
%{_datadir}/%{name}/%{version}/install-sh
%{_datadir}/%{name}/%{version}/mkinstalldirs
%{_datadir}/%{name}/%{version}/config
%doc %{_datadir}/%{name}/%{version}/license.html

%files -n lib%{name}-doc
%defattr(-,root,root,-)
%doc source/__docs/%{name}/html/*

%changelog
* Fri May 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.1-1m)
- [SECURITY] CVE-2009-0153
- sync with Fedora 11 (4.0.1-3)

* Mon Jan 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-3m)
- rebuild against rpm-4.6

* Tue Jan 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-2m)
- %%global _default_patch_fuzz 2

* Sun Jul  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0-1m)
- [SECURITY] CVE-2008-1036
- update to 4.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.8.1-2m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.8.1-1m)
- update to 3.8.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.6-4m)
- %%NoSource -> NoSource

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.6-3m)
- %%NoSource -> NoSource

* Mon May  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.6-2m)
- Provides and Obsoletes icu-locales for upgrading

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.6-1m)
- update to 3.6

* Sun May 21 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.4.1-1m)
- update to 3.4.1
- add gnustack patch (from FC)
- add gcc41 patch (from FC)

* Wed Aug 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.2-4m)
- enable big-endian arch.

* Mon Aug  8 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (3.2-3m)
- %defattr(-,root,root)

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-2m)
- revise %%post and %%preun

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-1m)
- initial import to Momonga
